Bug 951777 - Review Request: python-pygal - A python svg graph plotting library
Summary: Review Request: python-pygal - A python svg graph plotting library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 951775 952851
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-13 04:44 UTC by Ralph Bean
Modified: 2013-05-28 13:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-28 13:03:33 UTC
pingou: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2013-04-13 04:44:36 UTC
Spec URL: http://ralph.fedorapeople.org//python-pygal.spec
SRPM URL: http://ralph.fedorapeople.org//python-pygal-0.13.0-1.fc18.src.rpm

Description:
A python svg graph plotting library.

Comment 1 Pierre-YvesChibon 2013-04-14 08:24:16 UTC
Looking at the README and the header of the source the appropriate license tag appears to be LGPLv3+, maybe upstream would want to precise this in the setup.py

I am surprised by the difference between the list of BuildRequires and Requires. Are all the additionnal libraries in BR really only required for the tests?

Otherwise:
* package meets naming guidelines
* package meets packaging guidelines
* spec is clean
* license LGPLv3+ is fine (license tag needs to be adjusted)
* source matches upstream:
89269d33251cdc70543469421f8969a8fc284337
* no missing BR
* no unnecessary BR
* no locales
* not relocatable
* owns all directories that it creates
* no duplicate files
* permissions ok
* macro use consistent
* code, not content
* no need for -docs
* nothing in %doc affects runtime
* no need for .desktop file 

I'll need to test how it compiles with python-cairosvg

Comment 2 Pierre-YvesChibon 2013-04-14 08:42:47 UTC
Builds fine on F18 with python-cairosvg installed and imports fine

I'll wait to approve cairosvg to approve this one.

Comment 3 Ralph Bean 2013-04-15 17:35:00 UTC
Asked about license clarification here -> https://github.com/Kozea/pygal/pull/32

Comment 4 Ralph Bean 2013-04-16 15:02:50 UTC
Updated license field.

Spec URL:  http://threebean.org/rpm/python-pygal.spec
SRPM URL:  http://threebean.org/rpm/python-pygal-0.13.0-2.fc18.src.rpm

Comment 5 Pierre-YvesChibon 2013-04-16 15:23:56 UTC
Ok the tests are actually not shipped with the source, so the licensing for the rpm is good.

This package is APPROVED

Comment 6 Ralph Bean 2013-04-16 15:28:08 UTC
New Package SCM Request
=======================
Package Name: python-pygal
Short Description: A python svg graph plotting library
Owners: ralph
Branches: f19 f18 f17 el6
InitialCC:

Comment 7 Gwyn Ciesla 2013-04-16 15:40:12 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-04-16 21:11:47 UTC
python-pygal-0.13.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-pygal-0.13.0-2.fc19

Comment 9 Fedora Update System 2013-04-16 21:12:10 UTC
python-pygal-0.13.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-pygal-0.13.0-2.fc18

Comment 10 Fedora Update System 2013-05-03 02:42:33 UTC
python-pygal-0.13.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 11 Fedora Update System 2013-05-04 00:01:48 UTC
python-pygal-0.13.0-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 12 Ralph Bean 2013-05-28 13:03:33 UTC
All stable.


Note You need to log in before you can comment on or make changes to this bug.